Skip to main content
GET
/
v1
/
schedules
/
{id}
Retrieves a schedule
curl --request GET \
  --url https://api.rootly.com/v1/schedules/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "schedules",
    "attributes": {
      "name": "<string>",
      "owner_user_id": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "description": "<string>",
      "all_time_coverage": true,
      "slack_user_group": {
        "id": "<string>",
        "name": "<string>"
      },
      "slack_channel": {
        "id": "<string>",
        "name": "<string>"
      },
      "owner_group_ids": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

schedule found

data
object
required